Index: uspace/srv/net/il/arp/arp.c
===================================================================
--- uspace/srv/net/il/arp/arp.c	(revision fb04cba8d949f8b13de326b3aefd058316d54046)
+++ uspace/srv/net/il/arp/arp.c	(revision 46d4d9f449e7933280b1877c70448602ec0ab0ae)
@@ -83,8 +83,8 @@
  * @param[in] device	The device specific data.
  */
-static void arp_clear_device(arp_device_ref device)
+static void arp_clear_device(arp_device_t *device)
 {
 	int count;
-	arp_proto_ref proto;
+	arp_proto_t *proto;
 
 	for (count = arp_protos_count(&device->protos) - 1; count >= 0;
@@ -105,5 +105,5 @@
 {
 	int count;
-	arp_device_ref device;
+	arp_device_t *device;
 
 	fibril_rwlock_write_lock(&arp_globals.lock);
@@ -126,8 +126,8 @@
 
 static int arp_clear_address_req(int arp_phone, device_id_t device_id,
-    services_t protocol, measured_string_ref address)
-{
-	arp_device_ref device;
-	arp_proto_ref proto;
+    services_t protocol, measured_string_t *address)
+{
+	arp_device_t *device;
+	arp_proto_t *proto;
 
 	fibril_rwlock_write_lock(&arp_globals.lock);
@@ -150,5 +150,5 @@
 static int arp_clear_device_req(int arp_phone, device_id_t device_id)
 {
-	arp_device_ref device;
+	arp_device_t *device;
 
 	fibril_rwlock_write_lock(&arp_globals.lock);
@@ -171,13 +171,13 @@
  * @param[in] service	The protocol module service.
  * @param[in] address	The actual protocol device address.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
- */
-static int arp_proto_create(arp_proto_ref *proto, services_t service,
-    measured_string_ref address)
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
+ */
+static int arp_proto_create(arp_proto_t **proto, services_t service,
+    measured_string_t *address)
 {
 	int rc;
 
-	*proto = (arp_proto_ref) malloc(sizeof(arp_proto_t));
+	*proto = (arp_proto_t *) malloc(sizeof(arp_proto_t));
 	if (!*proto)
 		return ENOMEM;
@@ -205,16 +205,16 @@
  * @param[in] protocol	The protocol service.
  * @param[in] address	The actual device protocol address.
- * @returns		EOK on success.
- * @returns		EEXIST if another device with the same device identifier
+ * @return		EOK on success.
+ * @return		EEXIST if another device with the same device identifier
  *			and different driver service exists.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		Other error codes as defined for the
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		Other error codes as defined for the
  *			measured_strings_return() function.
  */
 static int arp_device_message(device_id_t device_id, services_t service,
-    services_t protocol, measured_string_ref address)
-{
-	arp_device_ref device;
-	arp_proto_ref proto;
+    services_t protocol, measured_string_t *address)
+{
+	arp_device_t *device;
+	arp_proto_t *proto;
 	hw_type_t hardware;
 	int index;
@@ -260,5 +260,5 @@
 		
 		/* Create a new device */
-		device = (arp_device_ref) malloc(sizeof(arp_device_t));
+		device = (arp_device_t *) malloc(sizeof(arp_device_t));
 		if (!device) {
 			fibril_rwlock_write_unlock(&arp_globals.lock);
@@ -356,6 +356,6 @@
  *  @param[in] client_connection The client connection processing function.
  *			The module skeleton propagates its own one.
- *  @returns		EOK on success.
- *  @returns		ENOMEM if there is not enough memory left.
+ *  @return		EOK on success.
+ *  @return		ENOMEM if there is not enough memory left.
  */
 int arp_initialize(async_client_conn_t client_connection)
@@ -376,10 +376,10 @@
  * @param[in] device_id	The device identifier.
  * @param[in] mtu	The new mtu value.
- * @returns		ENOENT if device is not found.
- * @returns		EOK on success.
+ * @return		ENOENT if device is not found.
+ * @return		EOK on success.
  */
 static int arp_mtu_changed_message(device_id_t device_id, size_t mtu)
 {
-	arp_device_ref device;
+	arp_device_t *device;
 
 	fibril_rwlock_write_lock(&arp_globals.lock);
@@ -404,22 +404,22 @@
  * @param[in] device_id	The source device identifier.
  * @param[in,out] packet The received packet.
- * @returns		EOK on success and the packet is no longer needed.
- * @returns		One on success and the packet has been reused.
- * @returns		EINVAL if the packet is too small to carry an ARP
+ * @return		EOK on success and the packet is no longer needed.
+ * @return		One on success and the packet has been reused.
+ * @return		EINVAL if the packet is too small to carry an ARP
  *			packet.
- * @returns		EINVAL if the received address lengths differs from
+ * @return		EINVAL if the received address lengths differs from
  *			the registered values.
- * @returns		ENOENT if the device is not found in the cache.
- * @returns		ENOENT if the protocol for the device is not found in
+ * @return		ENOENT if the device is not found in the cache.
+ * @return		ENOENT if the protocol for the device is not found in
  *			the cache.
- * @returns		ENOMEM if there is not enough memory left.
- */
-static int arp_receive_message(device_id_t device_id, packet_t packet)
+ * @return		ENOMEM if there is not enough memory left.
+ */
+static int arp_receive_message(device_id_t device_id, packet_t *packet)
 {
 	size_t length;
-	arp_header_ref header;
-	arp_device_ref device;
-	arp_proto_ref proto;
-	measured_string_ref hw_source;
+	arp_header_t *header;
+	arp_device_t *device;
+	arp_proto_t *proto;
+	measured_string_t *hw_source;
 	uint8_t *src_hw;
 	uint8_t *src_proto;
@@ -436,5 +436,5 @@
 		return ENOENT;
 
-	header = (arp_header_ref) packet_get_data(packet);
+	header = (arp_header_t *) packet_get_data(packet);
 	if ((ntohs(header->hardware) != device->hardware) ||
 	    (length < sizeof(arp_header_t) + header->hardware_length * 2U +
@@ -516,21 +516,21 @@
  * @param[in] protocol	The protocol service.
  * @param[in] target	The target protocol address.
- * @returns		The hardware address of the target.
- * @returns		NULL if the target parameter is NULL.
- * @returns		NULL if the device is not found.
- * @returns		NULL if the device packet is too small to send a
+ * @return		The hardware address of the target.
+ * @return		NULL if the target parameter is NULL.
+ * @return		NULL if the device is not found.
+ * @return		NULL if the device packet is too small to send a
  *			request.
- * @returns		NULL if the hardware address is not found in the cache.
- */
-static measured_string_ref
+ * @return		NULL if the hardware address is not found in the cache.
+ */
+static measured_string_t *
 arp_translate_message(device_id_t device_id, services_t protocol,
-    measured_string_ref target)
-{
-	arp_device_ref device;
-	arp_proto_ref proto;
-	measured_string_ref addr;
+    measured_string_t *target)
+{
+	arp_device_t *device;
+	arp_proto_t *proto;
+	measured_string_t *addr;
 	size_t length;
-	packet_t packet;
-	arp_header_ref header;
+	packet_t *packet;
+	arp_header_t *header;
 
 	if (!target)
@@ -561,5 +561,5 @@
 		return NULL;
 
-	header = (arp_header_ref) packet_suffix(packet, length);
+	header = (arp_header_t *) packet_suffix(packet, length);
 	if (!header) {
 		pq_release_remote(arp_globals.net_phone, packet_get_id(packet));
@@ -602,6 +602,6 @@
  * @param[out] answer_count The last parameter for the actual answer in the
  *			answer parameter.
- * @returns		EOK on success.
- * @returns		ENOTSUP if the message is not known.
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
  *
  * @see arp_interface.h
@@ -612,9 +612,9 @@
     ipc_call_t *answer, int *answer_count)
 {
-	measured_string_ref address;
-	measured_string_ref translation;
+	measured_string_t *address;
+	measured_string_t *translation;
 	char *data;
-	packet_t packet;
-	packet_t next;
+	packet_t *packet;
+	packet_t *next;
 	int rc;
 	
@@ -747,6 +747,6 @@
 /** Starts the module.
  *
- * @returns		EOK on success.
- * @returns		Other error codes as defined for each specific module
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
  *			start function.
  */
